Subject: Re: (usr-tc) Re: Continuing OSPF problems

From: Brian <[email-masked]>
Date: Tue, 16 Nov 1999 16:46:04 +0000

On Thu, 11 Nov 1999, Mike Andrews wrote:

> On Thu, 11 Nov 1999, Mike Andrews wrote:
> 
> > A while back I mentioned a problem I had where my ARCs would stop
> > routing correctly after various Ciscos in my network rebooted.  The
> > general consensus was that it was related to Designated Router/Backup
> > Designated Router designations... and that maybe the ARCs were becoming a
> > DR/BDR.
> [munch]
> 
> More on the above problem:
> 
> A quick search around suggests one possible reason the routers won't
> negotiate is a subnet mask mismatch.  Here's the routing table on the sick
> ARC:
> 
> fra-ts2> list ip route
> 
> IP ROUTES
> Destination        Prot   NextHop         Metric  Interface
>         0.0.0.0/0  NetMgr 206.240.130.1   1       eth:1
>       127.0.0.1/H  LOCAL  127.0.0.1       1       loopback
>   206.240.130.0/23 LOCAL  206.240.130.1   1       eth:1
>  206.240.130.14/H  LOCAL  206.240.130.14  1       eth:1
> 
> This points out a problem I've brought up before.  The subnet mask on this
> LAN should be /25, not /23.  There is a /23 route being advertised by the
> Cisco that points at fra1's Null0 though (for BGP4 purposes) and this is
> somehow getting confused with the local netmask set on the eth:1
> interface, which is set correctly:

Ok, fra1 is that your border?  Are you injecting static routes into the
IGP at all?  I use tiedowns for my BGP routes as well.........you want to
set these with a HIGH administrative weight, of like 250 though, so they
don't get used.  Do you have a weight set on them?

Also, using null0 as a tiedown used to be slow switched, so people used
loopbacks, but I think now in later ios's this is not the case, and both
can be used, but if you are running an older version you may want to
consider that.

> 
> fra-ts2> show ip network ip
> 
> SHOW IP  NETWORK ip SETTINGS: 
> Interface:                                 eth:1
> Network Address:                           206.240.130.14/25 
> Frame Type:                                ETHERNET_II  
> Status:                                    ENABLED  
> Reconfigure Needed:                        FALSE   
> Mask:                                      255.255.255.128
> Station:                                   206.240.130.14
> [munch]
> 
> So maybe the two bugs I'm running into are related after all?
> 
> Guess I'll go turn on OSPF debugging on the DR and see what comes up.
> 
> 
> Mike Andrews (MA12) * [email-masked] * http://www.bit0.com/
> VP, sysadmin, & network guy, Digital Crescent Inc, Frankfort KY
> Internet services for Frankfort, Lawrenceburg, Owenton, & Shelbyville
> "With sufficient thrust, pigs fly just fine." -- RFC 1925
> 
> 
> -
>  To unsubscribe to usr-tc, send an email to "[email-masked]"
>  with "unsubscribe usr-tc" in the body of the message.
>  For information on digests or retrieving files and old messages send
>  "help" to the same address.  Do not use quotes in your message.
> 

-----------------------------------------------------
Brian Feeny (BF304)     [email-masked]   
318-222-2638 x 109	http://www.shreve.net/~signal      
Network Administrator   ShreveNet Inc. (ASN 11881) 	      

-
 To unsubscribe to usr-tc, send an email to "[email-masked]"
 with "unsubscribe usr-tc" in the body of the message.
 For information on digests or retrieving files and old messages send
 "help" to the same address.  Do not use quotes in your message.